$Regfile="attiny24.dat"
$Crystal=1000000
$hwstack=40
$swstack=16
$framesize=32

Config Adc = Single , Prescaler = Auto , Reference = Avcc   'Initialize ADC

Config Portb = Output

' Set LED pins low
Reset Portb.0
Reset Portb.1
Reset Portb.2

'Set port A pins  (0 = Input, 1 = Output)
'All input
DdrA = &B00000000
'Set internal pull-up resistors (0 = Off, 1 = On)
'Turn off all output ports (0 = Off, 1 = On)
PortA = &B00000000

Dim W As Word
dim red_pulse as Byte
dim green_pulse as Byte
dim blue_pulse as Byte

'LED pins
Const G = 0
Const B = 1
CONST R = 2

Do
   W = Getadc(0)
   'Lower 10 bit ADC to 3 bit resolution
   Shift W , Right , 7
   'Look up RGB pulse values
   red_pulse = LookUp(W, RedData)
   green_pulse = LookUp(W, GreenData)
   blue_pulse = LookUp(W, BlueData)
   'Generate RGB pulses
   If red_pulse > 0 then Pulseout PortB , R , red_pulse
   Waitms 1
   If green_pulse > 0 then Pulseout PortB , G , green_pulse
   Waitms 1
   If blue_pulse > 0 then Pulseout PortB , B , blue_pulse
   Waitms 1
Loop
End

RedData:
Data 255,255, 64,  0,  0,  0,255, 64

GreenData:
Data   0,192,255,255,255,  0,  0,  0

BlueData:
Data   0,  0,  0,  0, 64,255,255,192